### Virtual Method

# Gio ActionGroup get_action_parameter_type

since: 2.28

#### Declaration

    const GVariantType*
    get_action_parameter_type (
      GActionGroup* action_group,
      const gchar* action_name
    )

#### Description

Queries the type of the parameter that must be given when activating the named action within `action_group`.

When activating the action using g_action_group_activate_action(), the `GVariant` given to that function must be of the type returned by this function.

In the case that this function returns `NULL`, you must not give any `GVariant`, but `NULL` instead.

The parameter type of a particular action will never change but it is possible for an action to be removed and for a new action to be added with the same name but a different parameter type.

Available since: 2.28

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of the action to query.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariantType`

The parameter type.

The data is owned by the called function.
The return value can be `NULL`.